Bug 28350 - Sort by "circ note" is broken on the patron search result view
Summary: Sort by "circ note" is broken on the patron search result view
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Alexis Ripetti
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-13 15:00 UTC by Alexis Ripetti
Modified: 2021-06-22 01:07 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
This fixes the patron search result page so that the results can be sorted using the 'Circ note' column. Before this fix you could not sort the results by this column.
Version(s) released in:
21.11.00,21.05.01,20.11.07


Attachments
Bug 28350: Fix borrowernotes sorting for patron search (1.87 KB, patch)
2021-05-13 15:12 UTC, Alexis Ripetti
Details | Diff | Splinter Review
Bug 28350: Fix borrowernotes sorting for patron search (1.91 KB, patch)
2021-06-04 22:45 UTC, David Nind
Details | Diff | Splinter Review
Bug 28350: Fix borrowernotes sorting for patron search (1.97 KB, patch)
2021-06-11 15:58 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Ripetti 2021-05-13 15:00:40 UTC
The circulation note ('borrowernotes') sorting is broken for patron results. This bug was not fix in bug 27933.
Comment 1 Alexis Ripetti 2021-05-13 15:12:30 UTC
Created attachment 120937 [details] [review]
Bug 28350: Fix borrowernotes sorting for patron search
Comment 2 Alexis Ripetti 2021-05-13 15:14:54 UTC
Test plan : 
- Do a patron search (from the patrons home page).
- Try to sort by Circulation note
- See that does not work
- Apply patch
- Do the same steps and see that's working
Comment 3 David Nind 2021-06-04 22:45:32 UTC
Created attachment 121636 [details] [review]
Bug 28350: Fix borrowernotes sorting for patron search

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2021-06-04 22:52:02 UTC
Testing notes (koha-testing-docker):
- Added some circulation notes for patrons, including notes starting with letters, numbers and symbols
- Followed the test plan in Comment #2

Note: also changed the status to normal, rather than an enhancement - if it isn't working I think it should be a standard bug rather than an enhancement
Comment 5 Nick Clemens 2021-06-11 15:58:38 UTC
Created attachment 121860 [details] [review]
Bug 28350: Fix borrowernotes sorting for patron search

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2021-06-14 15:34:18 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-06-18 13:54:30 UTC
Pushed to 21.05.x for 21.05.01
Comment 8 Fridolin Somers 2021-06-21 12:57:33 UTC
Pushed to 20.11.x for 20.11.07
Comment 9 Victor Grousset/tuxayo 2021-06-22 01:07:32 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.